## org.apache.batik.anim.timing
Class TimingSpecifierListProducer

    java.lang.Object
      org.apache.batik.parser.DefaultTimingSpecifierHandler
          org.apache.batik.parser.DefaultTimingSpecifierListHandler
              org.apache.batik.anim.timing.TimingSpecifierListProducer

All Implemented Interfaces:
  TimingSpecifierHandler, TimingSpecifierListHandler

    public class TimingSpecifierListProducer

extends DefaultTimingSpecifierListHandler

A `TimingSpecifierListHandler` that creates `TimingSpecifier`s.

Field Summary
`protected boolean` `isBegin` Whether the created TimingSpecifiers should be begin times.
`protected TimedElement` `owner` The owner TimedElement used when creating the TimingSpecifiers.
`protected java.util.LinkedList` `timingSpecifiers` The list of parsed timing specifiers.

Fields inherited from class org.apache.batik.parser.DefaultTimingSpecifierListHandler
`INSTANCE`

Constructor Summary
`TimingSpecifierListProducer(TimedElement owner, boolean isBegin)` Creates a new TimingSpecifierListProducer.

Method Summary
`void` `accesskey(float offset, char key)` Invoked when an accesskey value timing specifier is parsed.
`void` `accessKeySVG12(float offset, java.lang.String keyName)` Invoked when an SVG 1.2 accessKey value timing specifier is parsed.
`void` `eventbase(float offset, java.lang.String eventbaseID, java.lang.String eventType)` Invoked when an eventbase value timing specifier is parsed.
`TimingSpecifier[]` `getTimingSpecifiers()` Returns an array of the parsed TimingSpecifiers.
`void` `indefinite()` Invoked when an indefinite value timing specifier is parsed.
`void` `mediaMarker(java.lang.String syncbaseID, java.lang.String markerName)` Invoked when a media marker value timing specifier is parsed.
`void` `offset(float offset)` Invoked when an offset value timing specifier is parsed.
`static TimingSpecifier[]` `parseTimingSpecifierList(TimedElement owner, boolean isBegin, java.lang.String spec, boolean useSVG11AccessKeys, boolean useSVG12AccessKeys)` Parses a timing specifier list.
`void` `repeat(float offset, java.lang.String syncbaseID)` Invoked when a repeat value timing specifier with no iteration is parsed.
`void` `repeat(float offset, java.lang.String syncbaseID, int repeatIteration)` Invoked when a repeat value timing specifier with an iteration is parsed.
`void` `syncbase(float offset, java.lang.String syncbaseID, java.lang.String timeSymbol)` Invoked when a syncbase value timing specifier is parsed.
`void` `wallclock(java.util.Calendar time)` Invoked when a wallclock value timing specifier is parsed.

Methods inherited from class org.apache.batik.parser.DefaultTimingSpecifierListHandler
`endTimingSpecifierList, startTimingSpecifierList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### timingSpecifiers

    protected java.util.LinkedList timingSpecifiers

  The list of parsed timing specifiers.

### owner

    protected TimedElement owner

  The owner TimedElement used when creating the TimingSpecifiers.

### isBegin

    protected boolean isBegin

  Whether the created TimingSpecifiers should be begin times.

Constructor Detail

### TimingSpecifierListProducer

    public TimingSpecifierListProducer(TimedElement owner,
                                       boolean isBegin)

  Creates a new TimingSpecifierListProducer.

Method Detail

### getTimingSpecifiers

    public TimingSpecifier[] getTimingSpecifiers()

  Returns an array of the parsed TimingSpecifiers.

### parseTimingSpecifierList

    public static TimingSpecifier[] parseTimingSpecifierList(TimedElement owner,
                                                             boolean isBegin,
                                                             java.lang.String spec,
                                                             boolean useSVG11AccessKeys,
                                                             boolean useSVG12AccessKeys)

  Parses a timing specifier list.

### offset

    public void offset(float offset)

  Invoked when an offset value timing specifier is parsed.

  Specified by:
    `offset` in interface `TimingSpecifierHandler`
  Overrides:
    `offset` in class `DefaultTimingSpecifierHandler`

### syncbase

    public void syncbase(float offset,
                         java.lang.String syncbaseID,
                         java.lang.String timeSymbol)

  Invoked when a syncbase value timing specifier is parsed.

  Specified by:
    `syncbase` in interface `TimingSpecifierHandler`
  Overrides:
    `syncbase` in class `DefaultTimingSpecifierHandler`

### eventbase

    public void eventbase(float offset,
                          java.lang.String eventbaseID,
                          java.lang.String eventType)

  Invoked when an eventbase value timing specifier is parsed.

  Specified by:
    `eventbase` in interface `TimingSpecifierHandler`
  Overrides:
    `eventbase` in class `DefaultTimingSpecifierHandler`

### repeat

    public void repeat(float offset,
                       java.lang.String syncbaseID)

  Invoked when a repeat value timing specifier with no iteration is parsed.

  Specified by:
    `repeat` in interface `TimingSpecifierHandler`
  Overrides:
    `repeat` in class `DefaultTimingSpecifierHandler`

### repeat

    public void repeat(float offset,
                       java.lang.String syncbaseID,
                       int repeatIteration)

  Invoked when a repeat value timing specifier with an iteration is parsed.

  Specified by:
    `repeat` in interface `TimingSpecifierHandler`
  Overrides:
    `repeat` in class `DefaultTimingSpecifierHandler`

### accesskey

    public void accesskey(float offset,
                          char key)

  Invoked when an accesskey value timing specifier is parsed.

  Specified by:
    `accesskey` in interface `TimingSpecifierHandler`
  Overrides:
    `accesskey` in class `DefaultTimingSpecifierHandler`

### accessKeySVG12

    public void accessKeySVG12(float offset,
                               java.lang.String keyName)

  Invoked when an SVG 1.2 accessKey value timing specifier is parsed.

  Specified by:
    `accessKeySVG12` in interface `TimingSpecifierHandler`
  Overrides:
    `accessKeySVG12` in class `DefaultTimingSpecifierHandler`

### mediaMarker

    public void mediaMarker(java.lang.String syncbaseID,
                            java.lang.String markerName)

  Invoked when a media marker value timing specifier is parsed.

  Specified by:
    `mediaMarker` in interface `TimingSpecifierHandler`
  Overrides:
    `mediaMarker` in class `DefaultTimingSpecifierHandler`

### wallclock

    public void wallclock(java.util.Calendar time)

  Invoked when a wallclock value timing specifier is parsed.

  Specified by:
    `wallclock` in interface `TimingSpecifierHandler`
  Overrides:
    `wallclock` in class `DefaultTimingSpecifierHandler`

### indefinite

    public void indefinite()

  Invoked when an indefinite value timing specifier is parsed.

  Specified by:
    `indefinite` in interface `TimingSpecifierHandler`
  Overrides:
    `indefinite` in class `DefaultTimingSpecifierHandler`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.